Subject: Re: consistent_alloc() on PPC

From: Matt Porter <[email-masked]>
Date: Wed, 19 Jan 2005 07:56:03 -0700

On Wed, Jan 19, 2005 at 03:10:48PM +0100, Christoph Hellwig wrote:
> On Wed, Jan 19, 2005 at 05:23:17PM +0530, Sachin P wrote:
> > Hi , 
> > I am facing some problems porting my drivers to the PPC platform . Am
> > currently using consistent_alloc() and consistent_free() to
> > allocate/free (non-cached) DMA ble memory.
> > Is there any function/patch/macro, equivalent to
> > phy_to_virt()/virt_to_phy() for memory returned by consistent_alloc()?
> 
> Don't ever use concistant_alloc directly.  Always use
> dma_alloc_coherent() which will give you both virtual and bus address.

He's obviously not talking about 2.6 since he's mentioning
consistent_alloc().  I removed those PPC-specific APIs when I
updated our DMA API implementation in 2.6.

-Matt